Package org.springframework.expression.common

# Class ExpressionUtils

java.lang.Object
org.springframework.expression.common.ExpressionUtils

public abstract class ExpressionUtils extends Object
Common utility functions that may be used by any Expression Language provider.

Since:
  3.0
Author:
  Andy Clement, Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`ExpressionUtils()`

## Method Summary

Modifier and Type
Method
Description
`static <T> T`
`convertTypedValue(EvaluationContext context, TypedValue typedValue, Class<T> targetType)`
Determines if there is a type converter available in the specified context and attempts to use it to convert the supplied value to the specified type.
`static boolean`
`toBoolean(TypeConverter typeConverter, TypedValue typedValue)`
Attempt to convert a typed value to a boolean using the supplied type converter.
`static byte`
`toByte(TypeConverter typeConverter, TypedValue typedValue)`
Attempt to convert a typed value to a byte using the supplied type converter.
`static char`
`toChar(TypeConverter typeConverter, TypedValue typedValue)`
Attempt to convert a typed value to a char using the supplied type converter.
`static double`
`toDouble(TypeConverter typeConverter, TypedValue typedValue)`
Attempt to convert a typed value to a double using the supplied type converter.
`static float`
`toFloat(TypeConverter typeConverter, TypedValue typedValue)`
Attempt to convert a typed value to a float using the supplied type converter.
`static int`
`toInt(TypeConverter typeConverter, TypedValue typedValue)`
Attempt to convert a typed value to an int using the supplied type converter.
`static long`
`toLong(TypeConverter typeConverter, TypedValue typedValue)`
Attempt to convert a typed value to a long using the supplied type converter.
`static short`
`toShort(TypeConverter typeConverter, TypedValue typedValue)`
Attempt to convert a typed value to a short using the supplied type converter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpressionUtils

public ExpressionUtils()

## Method Details

### convertTypedValue

@Nullable public static <T> T convertTypedValue(@Nullable EvaluationContext context, TypedValue typedValue, @Nullable Class<T> targetType)
Determines if there is a type converter available in the specified context and attempts to use it to convert the supplied value to the specified type. Throws an exception if conversion is not possible.

Parameters:
  `context` - the evaluation context that may define a type converter
  `typedValue` - the value to convert and a type descriptor describing it
  `targetType` - the type to attempt conversion to
Returns:
  the converted value
Throws:
  `EvaluationException` - if there is a problem during conversion or conversion of the value to the specified type is not supported

### toInt

public static int toInt(TypeConverter typeConverter, TypedValue typedValue)
Attempt to convert a typed value to an int using the supplied type converter.

### toBoolean

public static boolean toBoolean(TypeConverter typeConverter, TypedValue typedValue)
Attempt to convert a typed value to a boolean using the supplied type converter.

### toDouble

public static double toDouble(TypeConverter typeConverter, TypedValue typedValue)
Attempt to convert a typed value to a double using the supplied type converter.

### toLong

public static long toLong(TypeConverter typeConverter, TypedValue typedValue)
Attempt to convert a typed value to a long using the supplied type converter.

### toChar

public static char toChar(TypeConverter typeConverter, TypedValue typedValue)
Attempt to convert a typed value to a char using the supplied type converter.

### toShort

public static short toShort(TypeConverter typeConverter, TypedValue typedValue)
Attempt to convert a typed value to a short using the supplied type converter.

### toFloat

public static float toFloat(TypeConverter typeConverter, TypedValue typedValue)
Attempt to convert a typed value to a float using the supplied type converter.

### toByte

public static byte toByte(TypeConverter typeConverter, TypedValue typedValue)
Attempt to convert a typed value to a byte using the supplied type converter.